stages:
  - build
  - deploy

include:
  - '/ci/kaniko.gitlab-ci.yml'
  - '/ci/fly.io.gitlab-ci.yml'

docker_build:
  stage: build
  extends: .kaniko_builder
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID

deploy_flyapp:
  stage: deploy
  extends: .flyio_deploy
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID
  needs: ["docker_build"]

stop_deploy:
  stage: deploy
  extends: .flyio_remove
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
      when: manual
    - if: $CI_MERGE_REQUEST_IID
      when: manual
  needs: ["deploy_flyapp"]
